-- name: GetAuthor :one
SELECT * FROM authors
WHERE id = ? LIMIT 1;

-- name: ListAuthors :many
SELECT * FROM authors
ORDER BY name;

-- name: CreateAuthor :execresult
INSERT INTO authors (
  name
) VALUES (
  ?
);

-- name: DeleteAuthor :exec
DELETE FROM authors
WHERE id = ?;



-- name: GetLink :one
SELECT * FROM golinks
WHERE name = ? LIMIT 1;

-- name: ListLinks :many
SELECT * FROM golinks
ORDER BY name;

-- name: CreateLink :execresult
INSERT INTO golinks (
  name, target
) VALUES (
  ?, ?
);

-- name: DeleteLink :exec
DELETE FROM golinks
WHERE id = ?;
